Trend Micro ServerProtect flaws disclosed

Numerous boundary vulnerabilities have been disclosed in Trend Micro's ServerProtect product that could allow buffer overflow and DoS attacks.

Trend Micro made patches available for the flaws last month.

One flaw is caused by a stack overflow error when processing specially created RPC requests sent to port 54168/TCP, according to FrSIRT, the French Security Incident Response Team. The flaw could be used to crash the SpntSvc.exe daemon or to execute arbitrary code.

Another flaw is caused by a stack overflow error when handling specially crafted calls sent to port 3628/TCP. That error can be exploited to crash the EarthAgent.exe daemon, according to FrSIRT.

Secunia ranked both flaws as "moderately critical" in a Monday advisory, adding that they affect ServerProtect version 5.58.

Other flaws exist in program functions when processing malformed arguments. They can also be exploited to execute arbitrary code, according to FrSIRT.

Authentication is not required for exploitation of either flaw, according to advisories from TippingPoint’s ZeroDay Initiative.

Trend Micro patched the flaws, which affect various versions of Windows 2000, Windows NT and Windows 2003, in bulletins released on April 18.

Sign up to our newsletters